## androidsdk-tools 22.2%2Bgit20130830~92d25d6

=== debian/changelog ===
androidsdk-tools (22.2+git20130830~92d25d6-4) unstable; urgency=medium

  * Team upload.
  * Depend on adb instead of android-tools-adb (Closes: #851254)
  * Build depend on libswt-gtk-4-java instead of libswt-gtk-3-java
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 19 Jan 2017 12:52:17 +0100

androidsdk-tools (22.2+git20130830~92d25d6-3) unstable; urgency=medium

  * Team upload.
  * debian/rules: Readd missing images to jar files and fix RunTimeException
    with androidsdk-ddms.
    Thanks to Oleksandr Gavenko for the report. (Closes: #807504)

 -- Markus Koschany <apo@debian.org>  Wed, 09 Dec 2015 21:12:34 +0100

androidsdk-tools (22.2+git20130830~92d25d6-2) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Switch to cgit and https.
  * wrap-and-sort -sa.

 -- Markus Koschany <apo@debian.org>  Thu, 19 Nov 2015 14:49:15 +0100

androidsdk-tools (22.2+git20130830~92d25d6-1) unstable; urgency=low

  * New upstream release.
  * Remove non-ASCII characters from d/*.pod
    - fixes FTBFS with perl 5.18.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 07 Sep 2013 16:54:19 +0200

androidsdk-tools (22+git20130416~f55ffbb-1) unstable; urgency=low

  * Initial release (Closes: #687057).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 15 Mar 2013 08:08:59 +0100
