## androidsdk-tools 22.2+git20130830~92d25d6

=== debian/control ===
Source: androidsdk-tools
Section: devel
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Stefan Handschuh <handschuh.stefan@googlemail.com>,
 Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>=9), cdbs, javahelper
Build-Depends-Indep: default-jdk, bnd, libswt-gtk-3-java, libjfreechart-swt-java,
 eclipse-rcp (>= 3.8.1), libguava-java (>= 13.0.1), libkxml2-java, perl
Standards-Version: 3.9.4
Homepage: http://developer.android.com/tools/help/index.html
Vcs-Git: git://anonscm.debian.org/pkg-java/androidsdk-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/androidsdk-tools.git;a=summary

Package: libandroidsdk-common-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Android sdk tools common library
 Common library used by other android sdk tools.

Package: libandroidsdk-sdklib-java
Section: java
Architecture: all
Depends: libandroidsdk-common-java (= ${binary:Version}),
 ${java:Depends}, ${misc:Depends}
Description: Android SDKlib
 The Android SDKlib contains the resource assembler that compiles
 the static resource files of an Android project.
 .
 This version of the SDKlib library lacks the support for the SDK manager.

Package: libandroidsdk-sdkstats-java
Section: java
Architecture: all
Depends: libandroidsdk-common-java (= ${binary:Version}),
 ${java:Depends}, ${misc:Depends}
Description: Sends Android SDK usage statistics to Google
 This library sends reports about usage of the Android SDK to the
 Google servers. Information can be used to help improving the
 software.
 .
 User has to grant permission in order to participate in the data collection.

Package: libandroidsdk-swtmenubar-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Android SDK OS menubar hook library
 This project provides a platform-specific way to hook into the default
 OS menu bar.
 .
 Typically, an SWT Menu named "Tools" should be provided into which the
 library will add "About" and "Options" menu items.

Package: libandroidsdk-ddmlib-java
Section: java
Architecture: all
Depends: android-tools-adb, ${java:Depends}, ${misc:Depends}
Description: Library for communicaton with connected Android devices
 Dalvik Debug Monitor Server provides a way to communicate via adb with
 Android devices connected through USB or running in emulator.

Package: libandroidsdk-ddmuilib-java
Section: java
Architecture: all
Depends: libandroidsdk-ddmlib-java (= ${binary:Version}),
 ${java:Depends}, ${misc:Depends}
Description: User interface library for ddmlib
 Dalvik Debug Monitor Server provides a way to communicate via adb with
 Android devices connected through USB or running in emulator.
 .
 This library provies UI components for use with ddmlib.

Package: androidsdk-ddms
Section: java
Architecture: all
Depends: libandroidsdk-swtmenubar-java (= ${binary:Version}),
 libandroidsdk-ddmlib-java (= ${binary:Version}),
 libandroidsdk-ddmuilib-java (= ${binary:Version}),
 libandroidsdk-sdkstats-java (= ${binary:Version}),
 ${java:Depends}, ${misc:Depends}
Description: Graphical debugging tool for Android
 Dalvik Debug Monitor is a tool for debugging Android applications. Among
 others, it provides these capabilities:
 .
  * Port-forwarding services
  * Screen capture on the device
  * Thread and heap information on the device
  * Logcat, process, and radio state information
  * Incoming call and SMS spoofing
  * Location data spoofing
 .
 This package is required only when you want to run DDMS as a stand-alone
 application. For usage from within Eclipse IDE, install eclipse-adt.

Package: libandroidsdk-hierarchyviewerlib-java
Section: java
Architecture: all
Depends: libandroidsdk-ddmuilib-java (= ${binary:Version}),
 ${java:Depends}, ${misc:Depends}
Description: Android Hierarchy Viewer library
 Hierarchy Viewer allows you to debug and optimize your user interface.
 It provides a visual representation of the layout's view hierarchy
 (the Layout View) and a magnified inspector of the display (the Pixel
 Perfect View).

Package: androidsdk-hierarchyviewer
Section: java
Architecture: all
Depends: libandroidsdk-hierarchyviewerlib-java (= ${binary:Version}),
 libandroidsdk-common-java (= ${binary:Version}),
 libandroidsdk-swtmenubar-java (= ${binary:Version}),
 ${java:Depends}, ${misc:Depends}
Description: Tool to debug and optimize Android user interface
 Hierarchy Viewer allows you to debug and optimize your user interface.
 It provides a visual representation of the layout's View hierarchy
 (the Layout View) and a magnified inspector of the display (the Pixel
 Perfect View).
 .
 This package is required only when you want to run DDMS as a stand-alone
 application. For usage from within Eclipse IDE, install eclipse-adt.

Package: androidsdk-traceview
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Tool to profile performance of Android applications
 Traceview is a graphical viewer for execution logs saved by your application.
 It can help you debug your application and profile its performance.

Package: androidsdk-uiautomatorviewer
Section: java
Architecture: all
Depends: libandroidsdk-common-java (= ${binary:Version}),
 libandroidsdk-ddmlib-java (= ${binary:Version}),
 ${java:Depends}, ${misc:Depends}
Description: Tool to scan and analyze the UI components of an Android application
 The uiautomatorviewer tool provides a convenient visual interface to inspect
 the layout hierarchy and view the properties of the individual UI components
 that are displayed on the test device. Using this information, you can later
 create uiautomator tests with selector objects that target specific UI
 components to test.
