=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/javahelper.mk

export CLASSPATH := androidsdk-common.jar:androidsdk-ddmlib.jar:androidsdk-ddmuilib.jar:androidsdk-sdkstats.jar:androidsdk-swtmenubar.jar:androidsdk-hierarchyviewerlib.jar:/usr/share/java/swt.jar:/usr/share/java/jfreechart.jar:/usr/share/java/jfreechart-swt.jar:/usr/share/java/org.eclipse.jface.jar:/usr/share/java/org.eclipse.core.commands.jar:/usr/share/java/org.eclipse.equinox.common.jar:/usr/share/java/guava.jar:/usr/share/java/kxml2.jar

POD2MAN := pod2man --center "Android SDK Tools" -r "Debian"

common-post-build-indep::
	for BNDFILE in debian/*.bnd; do \
		JARNAME=`basename $$BNDFILE .bnd`.jar; \
		bnd wrap -properties $$BNDFILE -output $$JARNAME $$JARNAME; \
	done

	jar uf androidsdk-ddmuilib.jar -C ddms/ddmuilib/src/main/java images

	jar uf androidsdk-ddms.jar -C ddms/app/src/main/resources images
	jh_manifest -m com.android.ddms.Main androidsdk-ddms.jar

	jar uf androidsdk-hierarchyviewerlib.jar -C hierarchyviewer2/hierarchyviewer2lib/src/main/java images

	jh_manifest -m com.android.hierarchyviewer.HierarchyViewerApplication androidsdk-hierarchyviewer.jar

	jar uf androidsdk-traceview.jar -C traceview/src/main/resources icons
	jh_manifest -m com.android.traceview.MainWindow androidsdk-traceview.jar

	jar uf androidsdk-uiautomatorviewer.jar -C uiautomatorviewer/src/main/java images
	jh_manifest -m com.android.uiautomator.UiAutomatorViewer androidsdk-uiautomatorviewer.jar

	for man in debian/*.pod; do \
		$(POD2MAN) -s 1 $$man $$(basename $$man .pod).1; \
	done

install/androidsdk-ddms::
	mkdir -p debian/androidsdk-ddms/usr/share/icons/hicolor/128x128/apps
	cp ddms/app/src/main/resources/images/ddms-128.png \
		debian/androidsdk-ddms/usr/share/icons/hicolor/128x128/apps/ddms.png

install/androidsdk-hierarchyviewer::
	mkdir -p debian/androidsdk-hierarchyviewer/usr/share/icons/hicolor/128x128/apps
	cp hierarchyviewer2/hierarchyviewer2lib/src/main/java/images/sdk-hierarchyviewer-128.png \
		debian/androidsdk-hierarchyviewer/usr/share/icons/hicolor/128x128/apps/hierarchyviewer.png

	mkdir -p debian/androidsdk-hierarchyviewer/usr/share/icons/hicolor/16x16/apps
	cp hierarchyviewer2/hierarchyviewer2lib/src/main/java/images/sdk-hierarchyviewer-16.png \
		debian/androidsdk-hierarchyviewer/usr/share/icons/hicolor/16x16/apps/hierarchyviewer.png
	chmod 644 debian/androidsdk-hierarchyviewer/usr/share/icons/hicolor/16x16/apps/hierarchyviewer.png

clean::
	rm -f *.1
